ambari-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Eugene Chekanskiy (JIRA)" <j...@apache.org>
Subject [jira] [Updated] (AMBARI-19464) Stack Downgrading Potentially Corrupts Kerberos Descriptor
Date Thu, 12 Jan 2017 14:13:52 GMT

     [ https://issues.apache.org/jira/browse/AMBARI-19464?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
]

Eugene Chekanskiy updated AMBARI-19464:
---------------------------------------
    Attachment: AMBARI-19464.2.patch

> Stack Downgrading Potentially Corrupts Kerberos Descriptor
> ----------------------------------------------------------
>
>                 Key: AMBARI-19464
>                 URL: https://issues.apache.org/jira/browse/AMBARI-19464
>             Project: Ambari
>          Issue Type: Bug
>          Components: ambari-server
>    Affects Versions: 2.5.0
>            Reporter: Eugene Chekanskiy
>            Assignee: Eugene Chekanskiy
>             Fix For: 2.5.0
>
>         Attachments: AMBARI-19464.2.patch, AMBARI-19464.patch
>
>
> AMBARI-18335 addresses an issue where configuration properties in the Kerberos descriptor
don't change during a stack upgrade. It accounts for both upgrade/downgrade scenarios and
situations where properties are added/removed.
> However, it does not take into account the potential for a property to be customized
by the user (not a new property, but a property which the user changes the value of). In this
case, the downgrade would be destructive, overriding the user's values with those from the
downgrade stack.



--
This message was sent by Atlassian JIRA
(v6.3.4#6332)

Mime
View raw message